This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 61322 - glibc-2.2.5 is not binary compatible with 2.2.4 (breaks jre, wine)
glibc-2.2.5 is not binary compatible with 2.2.4 (breaks jre, wine)
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-17 17:12 EST by Ville Herva
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-17 23:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Herva 2002-03-17 17:12:48 EST
Description of Problem:
Sun JRE 1.3.1 no longer works with glibc-2.2.5, like it did with glibc-2.2.4.
Self-compiled wine breaks the same way.

Version-Release number of selected component (if applicable):
glibc-2.2.5-26.i686.rpm (from rawhide)

How Reproducible:
Always.

Steps to Reproduce:
1. Launch old wine executable or jre.
2. 
3. 

Actual Results:
java_vm: relocation error: /usr/java/jre1.3.1/lib/i386/libjava.so: symbol
__libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference


Additional Information:
Comment 1 Ville Herva 2002-03-17 23:14:47 EST
Ok, the glibc I used to have (and that worked) is glibc-2.2.4-20.i686.rpm from
rawhide. The jre is jre-1.3.1-fcs.i386.rpm from Sun.com.

The wine version that didn't work is Wine release 20011004 (compiled on Oct 27
from winex CVS against then recent glibc-2.2.x). 

The error message from wine is

chroot /backup-versioned/2002-03-17T052001 /bin/zsh 
root@babbage:/>mkdir /tmp
root@babbage:/>rpm -q glibc
glibc-2.2.5-26
root@babbage:/>wine --version
wine: relocation error: /usr/local/lib/libntdll.so: symbol __libc_fork, version
GLIBC_2.1.2 not defined in file libc.so.6 with link time reference
root@babbage:/>L =wine
-rwxr-xr-x   91 root     root       189899 Oct 27 14:59 /usr/local/bin/wine*
ldd =wine
        libntdll.so => /usr/local/lib/libntdll.so (0x4002a000)
        libwine.so => /usr/local/lib/libwine.so (0x4010e000)
        libwine_unicode.so => /usr/local/lib/libwine_unicode.so (0x40124000)
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0x401ec000)
        libm.so.6 => /lib/i686/libm.so.6 (0x4022d000)
        libutil.so.1 => /lib/libutil.so.1 (0x4024f000)
        libdl.so.2 => /lib/libdl.so.2 (0x40252000)
        libc.so.6 => /lib/i686/libc.so.6 (0x40256000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

Comment 2 Jakub Jelinek 2002-03-18 09:38:30 EST
Both Sun and Wine authors have been notified that they cannot use glibc
internal symbols in their apps. For glibc-2.2.5-27 I've reexported those
symbols temporarily, but those apps will stop working with glibc 2.3 unless
they are fixed.
Comment 3 Ville Herva 2002-03-21 14:44:32 EST
Ok, I verified that it glibc-2.2.5-27 works at least with jre-1.3.1 (I already
recompiled wine).

Thank you for the excellent response!

Note You need to log in before you can comment on or make changes to this bug.